﻿package {

	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import fl.video.*;
	import flash.text.*;
	public class cuePointButton extends MovieClip {
		private var buttonLabelString:String;
		private var buttonCuePoint:Number;
		private var percentageIn:Number;
		//private var offerValueString:String;
		private var buttonLabelTextBox:TextField = new TextField();
		//public var inPlay:Boolean = true;
				
		public function cuePointButton(startButtonLabelString:String = "test", startButtonCuePoint:Number = 0.0):void {
			//add event listeners.
			this.addEventListener(MouseEvent.MOUSE_DOWN, clickedButton);
			
			//automatically changes mouse pointer & overides listeners for child objects.
			this.buttonMode = true;
			this.mouseChildren = false;
			
			this.buttonLabelString = startButtonLabelString;
			this.buttonCuePoint = startButtonCuePoint;
			
			buttonLabelTextBox.x = 6.4;
			buttonLabelTextBox.y = 1.9;
			buttonLabelTextBox.height = 22.3;
			buttonLabelTextBox.width = 149.3;
			buttonLabelTextBox.selectable = false;
			addChild(buttonLabelTextBox);
			
			this.updateTextFormat();
		}
		
		public function updateButton(newbuttonLabelString:String = "test", newButtonCuePoint:Number = 0.0, maxSeconds:Number = 0):void {
			this.buttonLabelString = newbuttonLabelString;
			this.buttonCuePoint = newButtonCuePoint;
			this.percentageIn = this.buttonCuePoint/maxSeconds;
			this.updateTextFormat();
		}
		
		private function updateTextFormat():void {
			var buttonLabelTextFormat:TextFormat = new TextFormat();
			
			buttonLabelTextFormat.align = "left";
			buttonLabelTextFormat.font = "_sans";
			buttonLabelTextFormat.size = 14;
			buttonLabelTextFormat.bold = false;
			buttonLabelTextFormat.color = "0xFFFFFF";
		
			buttonLabelTextBox.text = buttonLabelString;
			
			buttonLabelTextBox.setTextFormat(buttonLabelTextFormat);
		}
		
		private function clickedButton(evt:MouseEvent):void {
			if(this.alpha == (root as MovieClip).activeAlpha) {
				(root as MovieClip).myMoviePlayback.seek(this.buttonCuePoint);
			}
		}
		
		public function getPercentageIn():Number {
			return percentageIn;
		}
	}
}